Skip to main content
GET
List all API logs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

from_date
string<date>

Filter API logs logged at or after this date.

Example:

"2022-08-09"

to_date
string<date>

Filter API logs logged at or before this date.

Example:

"2022-08-09"

http_methods[]
enum<string>[]

Filter results by HTTP methods.

Available options:
post,
put,
patch,
delete
Example:
http_statuses[]
(enum<string> | integer)[]

Filter results by HTTP status or by generic request status. When succeeded or failed is passed, the numeric values of the filter are ignored.

Available options:
succeeded,
failed
Example:
api_version
string

Filter results by API version.

Example:

"v1"

request_paths[]
string[]

Filter results by the path of the request. A value containing * is matched as a wildcard, otherwise the path must match exactly.

Example:
clients[]
string[]

Filter results by the client that issued the request, as reported by its user agent.

Example:

Response

List of API logs

api_logs
object[]
required
meta
object
required